[tool.poetry]
name = "workbench-daemon"
version = "0.2.23"
description = ""
authors = ["Christoph Jansen <Christoph.Jansen@charite.de>"]

[tool.poetry.dependencies]
python = "^3.8"
pydantic = {extras = ["dotenv"], version = "^1.8.2"}
aiohttp = "^3.7.4"

[tool.poetry.dev-dependencies]
pylint = "^2.9.1"
pycodestyle = "^2.7.0"
black = "^21.6b0"
isort = "^5.9.1"

[tool.poetry.scripts]
wbd = 'workbench_daemon.app:run'

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"

[tool.black]
line-length = 120

[tool.pylint."MASTER"]
ignored-modules = ["pydantic"]

[tool.pylint."MESSAGES CONTROL"]
max-line-length = 120
disable = "R,C,E0401,W0703,W1203,W0613"

[tool.isort]
line_length = 120
profile = "black"
multi_line_output = 3
include_trailing_comma = true
